package com.reactlibrarypusherbeams;

import android.util.Log;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;

public class RNPusherBeamsModule extends ReactContextBaseJavaModule {

    private final ReactApplicationContext reactContext;

    public RNPusherBeamsModule(ReactApplicationContext reactContext) {
        super(reactContext);
        this.reactContext = reactContext;
    }

    @Override
    public String getName() {
        return "RNPusherBeams";
    }

    @ReactMethod
    public void testing(String stringArgument, Callback callback) {
        System.out.print("RNPusherBeams " + stringArgument);
        Log.d("RNPusherBeams", "RNPusherBeams " + stringArgument);
        callback.invoke();
    }
}
